﻿// StaffDlg.cpp: 实现文件
//

#include "pch.h"
#include "aike.h"
#include "afxdialogex.h"
#include "StaffDlg.h"
#include "aikeDlg.h"


// StaffDlg 对话框

IMPLEMENT_DYNAMIC(StaffDlg, CDialogEx)

StaffDlg::StaffDlg(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_STAFFDLG, pParent)
{

}

StaffDlg::~StaffDlg()
{
}

void StaffDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_LIST1, m_Staff);
}


BEGIN_MESSAGE_MAP(StaffDlg, CDialogEx)
END_MESSAGE_MAP()


// StaffDlg 消息处理程序




BOOL StaffDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO:  在此添加额外的初始化

	//设置员工信息表格
	m_Staff.SetExtendedStyle(m_Staff.GetExtendedStyle() | LVS_EX_DOUBLEBUFFER | LVS_EX_HEADERDRAGDROP | LVS_EX_GRIDLINES | LVS_EX_FULLROWSELECT);
	int i = 0;
	m_Staff.InsertColumn(i++, _T("工号"), LVCFMT_LEFT, 60);
	m_Staff.InsertColumn(i++, _T("姓名"), LVCFMT_LEFT, 100);
	m_Staff.InsertColumn(i++, _T("性别"), LVCFMT_LEFT, 50);
	m_Staff.InsertColumn(i++, _T("职务"), LVCFMT_LEFT, 60);
	m_Staff.InsertColumn(i++, _T("部门"), LVCFMT_LEFT, 60);
	m_Staff.InsertColumn(i++, _T("状态"), LVCFMT_LEFT, 50);
	m_Staff.InsertColumn(i++, _T("手机号"), LVCFMT_LEFT, 120);
	m_Staff.InsertColumn(i++, _T("入职日期"), LVCFMT_LEFT, 120);
	return TRUE;  // return TRUE unless you set the focus to a control
	// 异常: OCX 属性页应返回 FALSE
}

//显示员工信息
VOID StaffDlg::ShowStaff()
{
	CaikeDlg* dlg = (CaikeDlg*)GetParent();
	m_Staff.DeleteAllItems();
	CRect rt = { 0,0,100,30 };
	rt.MoveToXY(150, 50);
	_RecordsetPtr m_pRecor;
	_variant_t var;
	CString str = (_T("select a.JobID,a.name,a.sex,b.name 'department', c.name 'category',a.workforce,a.phone,a.BeginDate from staff a left join department b on a.department = b.ID left join category c on a.category = c.id")), tmp;
	dlg->AdoSql.QuerySql(str, m_pRecor);
	int i = 0;
	while (!m_pRecor->GetadoEOF())
	{
		var = m_pRecor->GetCollect("JobID");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			if (tmp == _T(""))
			{
				m_pRecor->MoveNext();
				continue;
			}
			m_Staff.InsertItem(i, tmp);
		}
		else
		{
			m_pRecor->MoveNext();
			continue;
		}
		var = m_pRecor->GetCollect("name");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 1, tmp);
		}
		var = m_pRecor->GetCollect("sex");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 2, tmp);
		}
		var = m_pRecor->GetCollect("department");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 3, tmp);
		}
		var = m_pRecor->GetCollect("category");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 4, tmp);
		}
		var = m_pRecor->GetCollect("workforce");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 5, tmp);
		}
		var = m_pRecor->GetCollect("phone");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 6, tmp);
		}
		var = m_pRecor->GetCollect("BeginDate");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 7, tmp);
		}

		m_pRecor->MoveNext();
		i++;
	}
}


void StaffDlg::OnOK()
{
	// TODO: 在此添加专用代码和/或调用基类

	//CDialogEx::OnOK();
}


void StaffDlg::OnCancel()
{
	// TODO: 在此添加专用代码和/或调用基类

	//CDialogEx::OnCancel();
}
