#include "pch.h"
#include "MyDialog.h"


#define KEY_DOWN(VK_NONAME) ((GetAsyncKeyState(VK_NONAME) & 0x8000) ? 1:0)	//ж״̬


UINT MyDialog::SetWindowsRect(LPVOID pParam)
{
	MyDialog* dlg = (MyDialog*)pParam;
	CPoint point;
	CRect rt;
	while (KEY_DOWN(VK_LBUTTON))
	{
		GetCursorPos(&point);
		dlg->m_wnd->GetWindowRect(rt);
		switch (dlg->MouseState)
		{
		case 2:
			rt.OffsetRect(point - dlg->pt);
			dlg->m_wnd->MoveWindow(rt);
			break;
		case 3:
			rt.top = rt.top + point.y - dlg->pt.y;
			dlg->m_wnd->MoveWindow(rt);
			break;
		case 4:
			rt.right = rt.right + point.x - dlg->pt.x;
			dlg->m_wnd->MoveWindow(rt);
			break;
		case 5:
			rt.bottom = rt.bottom + point.y - dlg->pt.y;
			dlg->m_wnd->MoveWindow(rt);
			break;
		case 6:
			rt.left = rt.left + point.x - dlg->pt.x;
			dlg->m_wnd->MoveWindow(rt);
			break;
		default:
			break;
		}
		dlg->pt = point;
		Sleep(50);
	}
	dlg->MouseState = 0;
	return 0;
}



VOID MyDialog::LBDown(MSG* pMsg)
{
	CArray <int> buttArr;
	GetPtButton(pMsg->pt, buttArr);
	clock_t tt = clock();
	for (int i = 0; i < buttArr.GetCount(); i++)
	{
		infoMap[buttArr[i]].State = 2;
		infoMap[buttArr[i]].lastLD = tt;
	}
	PaintDlg();
	if (buttArr.GetCount() == 0)
	{

		if (MouseState == 0)
		{
			/*2ƶڣ3456ϡҡ¡*/
			GetCursorPos(&pt);
			CPoint point = pMsg->pt;
			m_wnd->ScreenToClient(&point);		//תĻ
			CRect rt;
			m_wnd->GetWindowRect(rt);
			if (point.y >= 3 && point.y < 30)
			{
				MouseState = 2;
			}
			else if (point.y < 3)
			{
				MouseState = 3;
			}
			else if (point.x > rt.Width() - 3)
			{
				MouseState = 4;
			}
			else if (point.y > rt.Height() - 3)
			{
				MouseState = 5;
			}
			else if (point.x < 3)
			{
				MouseState = 6;
			}
			else
			{
				return;
			}
			AfxBeginThread(SetWindowsRect, this);
		}
	}
}

VOID MyDialog::LBUP(MSG* pMsg)
{
	CArray <int> buttArr;
	GetPtButton(pMsg->pt, buttArr);
	clock_t tt = clock();
	for (int i = 0; i < buttArr.GetCount(); i++)
	{
		infoMap[buttArr[i]].State = 1;
		if (tt - infoMap[buttArr[i]].lastLD < 400 && tt - infoMap[buttArr[i]].lastLU > 300)
		{
			if (infoMap[buttArr[i]].LClick != NULL)
				infoMap[buttArr[i]].LClick(buttArr[i]);
		}
		infoMap[buttArr[i]].lastLU = tt;
	}
	PaintDlg();
}

VOID MyDialog::RBDown(MSG* pMsg)
{
	CArray <int> buttArr;
	GetPtButton(pMsg->pt, buttArr);
	clock_t tt = clock();
	for (int i = 0; i < buttArr.GetCount(); i++)
	{
		infoMap[buttArr[i]].State = 2;
		infoMap[buttArr[i]].lastRD = tt;
	}
	PaintDlg();
}

VOID MyDialog::RBUP(MSG* pMsg)
{
	CArray <int> buttArr;
	GetPtButton(pMsg->pt, buttArr);
	clock_t tt = clock();
	for (int i = 0; i < buttArr.GetCount(); i++)
	{
		infoMap[buttArr[i]].State = 1;
		if (tt - infoMap[buttArr[i]].lastRD < 400 && tt - infoMap[buttArr[i]].lastRU > 300)
		{
			if (infoMap[buttArr[i]].RClick != NULL)
				infoMap[buttArr[i]].RClick(buttArr[i]);
		}
		infoMap[buttArr[i]].lastRU = tt;
	}
	PaintDlg();
}

VOID MyDialog::MMove(MSG* pMsg)
{
	if (!m_bTracked)		//Ƿ봰
	{
		TRACKMOUSEEVENT tme;
		tme.cbSize = sizeof(tme);
		tme.dwFlags = TME_LEAVE;
		tme.dwHoverTime = 0;
		tme.hwndTrack = m_wnd->m_hWnd;
		TrackMouseEvent(&tme);			// ú
		m_bTracked = TRUE;				// 봰
		m_wnd->Invalidate(FALSE);
	}
	CArray <int> buttArr;
	GetPtButton(pMsg->pt, buttArr);
	PaintDlg();
}

VOID MyDialog::MLeave(MSG* pMsg)
{
	m_bTracked = FALSE;		// 뿪
	CArray <int> buttArr;
	GetPtButton(CPoint(-1000, -1000), buttArr);
	PaintDlg();
}

VOID MyDialog::LDClick(MSG* pMsg)
{
	CArray <int> buttArr;
	GetPtButton(pMsg->pt, buttArr);
	for (int i = 0; i < buttArr.GetCount(); i++)
	{
		if (infoMap[buttArr[i]].LDClick != NULL)
			infoMap[buttArr[i]].LDClick(buttArr[i]);
	}
	PaintDlg();
}

VOID MyDialog::RDClick(MSG* pMsg)
{
	CArray <int> buttArr;
	GetPtButton(pMsg->pt, buttArr);
	for (int i = 0; i < buttArr.GetCount(); i++)
	{
		if (infoMap[buttArr[i]].RDClick != NULL)
			infoMap[buttArr[i]].RDClick(buttArr[i]);
	}
	PaintDlg();
}

VOID MyDialog::GetPtButton(CPoint pt, CArray<int>& ButtArr)
{
	m_wnd->ScreenToClient(&pt);		//תĻ
	for (auto i = infoMap.begin(); i != infoMap.end(); i++)		//аť
	{
		if (i->second.rt.PtInRect(pt))
		{
			ButtArr.Add(i->first);
			if (i->second.State == 0)
				i->second.State = 1;
		}
		else
		{
			i->second.State = 0;
		}
	}
}

BOOL MyDialog::CImageCopy(CImage& SrcImg, CImage& DesImg)
{
	if (SrcImg.IsNull())
		return FALSE;
	//Դͼ
	BYTE* srcPtr = (BYTE*)SrcImg.GetBits();
	int srcBitsCount = SrcImg.GetBPP();
	int srcWidth = SrcImg.GetWidth();
	int srcHeight = SrcImg.GetHeight();
	int srcPitch = SrcImg.GetPitch();
	//ԭͼ
	if (!DesImg.IsNull())
	{
		DesImg.Destroy();
	}
	//ͼ
	if (srcBitsCount == 32)   //֧alphaͨ
	{
		DesImg.Create(srcWidth, srcHeight, srcBitsCount, 1);
	}
	else
	{
		DesImg.Create(srcWidth, srcHeight, srcBitsCount, 0);
	}
	//صɫ
	if (srcBitsCount <= 8 && DesImg.IsIndexed())//Ҫɫ
	{
		RGBQUAD pal[256];
		int nColors = SrcImg.GetMaxColorTableEntries();
		if (nColors > 0)
		{
			SrcImg.GetColorTable(0, nColors, pal);
			DesImg.SetColorTable(0, nColors, pal);//Ƶɫ
		}
	}
	//Ŀͼ
	BYTE* destPtr = (BYTE*)DesImg.GetBits();
	int destPitch = DesImg.GetPitch();
	//ͼ
	for (INT i = 0; i < srcHeight; i++)
	{
		memcpy(destPtr + i * destPitch, srcPtr + i * srcPitch, abs(srcPitch));
	}

	return TRUE;
}

BOOL MyDialog::CreateStretchImage(const CImage& src, CImage& dest, int stretchWidth, int stretchHeight)
{
	if (src.IsDIBSection())
	{
		if (!dest.IsNull())
		{
			dest.Destroy();
		}
		if (stretchWidth == 0 || stretchHeight == 0)
		{
			stretchWidth = src.GetWidth();
			stretchHeight = src.GetHeight();
		}
		if (dest.Create(stretchWidth, stretchHeight, 16))
		{
			HDC destDC = dest.GetDC();
			::SetStretchBltMode(destDC, HALFTONE);
			src.StretchBlt(destDC, 0, 0, stretchWidth, stretchHeight);
			dest.ReleaseDC();
			return TRUE;
		}
	}
	return FALSE;
}

MyDialog::MyDialog(CWnd* wnd)
{
	m_wnd = wnd;
	ButtonU.Create(16, 16, 16);	//ͼƬ
	FillRect(ButtonU.GetDC(), CRect(0, 0, 16, 16), CreateSolidBrush(RGB(125, 125, 125)));
	ButtonU.ReleaseDC();
	ButtonF.Create(16, 16, 16);	//ͼƬ
	FillRect(ButtonF.GetDC(), CRect(0, 0, 16, 16), CreateSolidBrush(RGB(180, 180, 180)));
	ButtonF.ReleaseDC();
	ButtonD.Create(16, 16, 16);	//ͼƬ
	FillRect(ButtonD.GetDC(), CRect(0, 0, 16, 16), CreateSolidBrush(RGB(90, 90, 90)));
	ButtonD.ReleaseDC();
	ButtonS.Create(16, 16, 16);	//ͼƬ
	FillRect(ButtonS.GetDC(), CRect(0, 0, 16, 16), CreateSolidBrush(RGB(50, 50, 50)));
	ButtonS.ReleaseDC();
}

BOOL MyDialog::AddButton(int ID, CRect rt, CImage& ButtonU, CImage& ButtonF, CImage& ButtonD, CImage& ButtonS)
{
	rt.NormalizeRect();
	if (rt.Width() > 0 && rt.Height() > 0)
	{
		if (infoMap.find(ID) == infoMap.end())	//жϰťǷ
		{
			ButtonInfo info;
			info.rt = rt;
			infoMap[ID] = info;
			if (!ButtonU.IsNull())
			{
				if (!CImageCopy(ButtonU, infoMap[ID].ButtonU))
				{
					infoMap.erase(ID);
					return FALSE;
				}
			}
			if (!ButtonF.IsNull())
			{
				if (!CImageCopy(ButtonF, infoMap[ID].ButtonF))
				{
					infoMap.erase(ID);
					return FALSE;
				}
			}
			if (!ButtonD.IsNull())
			{
				if (!CImageCopy(ButtonD, infoMap[ID].ButtonD))
				{
					infoMap.erase(ID);
					return FALSE;
				}
			}
			if (!ButtonS.IsNull())
			{
				if (!CImageCopy(ButtonS, infoMap[ID].ButtonS))
				{
					infoMap.erase(ID);
					return FALSE;
				}
			}
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}
	else
	{
		return FALSE;
	}
}

VOID MyDialog::PTMessage(MSG* pMsg)
{
	switch (pMsg->message)
	{
	case WM_RBUTTONDBLCLK:	//˫ Ҽ˫WM_LBUTTONDOWN  WM_LBUTTONUP WM_LBUTTONDBLCK WM_LBUTTONUP ĸϢ
		RDClick(pMsg);
		break;
	case WM_RBUTTONDOWN:	//Ҽ
		RBDown(pMsg);
		break;
	case WM_RBUTTONUP:		//Ҽ̧
		RBUP(pMsg);
		break;
	case WM_LBUTTONDBLCLK:	//˫ ˫WM_LBUTTONDOWN  WM_LBUTTONUP WM_LBUTTONDBLCK WM_LBUTTONUP ĸϢ
		LDClick(pMsg);
		break;
	case WM_LBUTTONDOWN:	//
		LBDown(pMsg);
		break;
	case WM_LBUTTONUP:		//̧
		LBUP(pMsg);
		break;
	case WM_MOUSEMOVE:		//ƶ
		MMove(pMsg);
		break;
	case WM_MOUSELEAVE:		//뿪
		MLeave(pMsg);
		break;
	case WM_MOUSEWHEEL:		//껬
		break;
	default:
		break;
	}
}

VOID MyDialog::PaintDlg()
{
	if (Background.IsNull())
	{
		m_wnd->ModifyStyle(GWL_EXSTYLE, WS_CLIPCHILDREN, SWP_FRAMECHANGED);	//ȥ˵ûͰťʱڵMFCؼ
		Background.Create(16, 16, 16);	//ͼƬ
		FillRect(Background.GetDC(), CRect(0, 0, 16, 16), CreateSolidBrush(RGB(255, 255, 255)));
		Background.ReleaseDC();
		return;
	}
	CDC* m_dc = m_wnd->GetDC();		//ȡHDC
	CRect rt;
	m_wnd->GetWindowRect(rt);
	rt.MoveToXY(0, 0);
	CImage img;
	if (!CreateStretchImage(Background, img, rt.Width(), rt.Height()))
		return;
	HDC hdc = img.GetDC();
	for (auto i = infoMap.begin(); i != infoMap.end(); i++)		//аť
	{
		switch (i->second.State)
		{
		case 1:
			if (i->second.ButtonF.IsNull())
			{
				ButtonF.Draw(hdc, i->second.rt);
			}
			else
			{
				i->second.ButtonF.Draw(hdc, i->second.rt);
			}
			break;
		case 2:
			if (i->second.ButtonD.IsNull())
			{
				ButtonD.Draw(hdc, i->second.rt);
			}
			else
			{
				i->second.ButtonD.Draw(hdc, i->second.rt);
			}
			break;
		case 3:
			if (i->second.ButtonS.IsNull())
			{
				ButtonS.Draw(hdc, i->second.rt);
			}
			else
			{
				i->second.ButtonS.Draw(hdc, i->second.rt);
			}
			break;
		default:
			if (i->second.ButtonU.IsNull())
			{
				ButtonU.Draw(hdc, i->second.rt);
			}
			else
			{
				i->second.ButtonU.Draw(hdc, i->second.rt);
			}
			break;
		}
	}
	img.ReleaseDC();
	::SetStretchBltMode(m_dc->m_hDC, HALFTONE);
	img.Draw(m_dc->m_hDC, rt);
	m_wnd->ReleaseDC(m_dc);
	return;
}

VOID MyDialog::EnableButton(int ID, BOOL Flag)
{
	if (infoMap.find(ID) != infoMap.end())	//жϰťǷ
	{
		infoMap[ID].State = 3;
	}
	PaintDlg();
}

BOOL MyDialog::SetBackground(CImage& img)
{
	if (CreateStretchImage(img, Background))
	{
		return TRUE;
	}
	return FALSE;
}

BOOL MyDialog::SetLClick(int ID, Fun func)
{
	if (infoMap.find(ID) != infoMap.end())	//жϰťǷ
	{
		infoMap[ID].LClick = func;
		return TRUE;
	}
	return FALSE;
}

BOOL MyDialog::SetLDClick(int ID, Fun func)
{
	if (infoMap.find(ID) != infoMap.end())	//жϰťǷ
	{
		infoMap[ID].LDClick = func;
		return TRUE;
	}
	return FALSE;
}

BOOL MyDialog::SetRClick(int ID, Fun func)
{
	if (infoMap.find(ID) != infoMap.end())	//жϰťǷ
	{
		infoMap[ID].RClick = func;
		return TRUE;
	}
	return FALSE;
}

BOOL MyDialog::SetRDClick(int ID, Fun func)
{
	if (infoMap.find(ID) != infoMap.end())	//жϰťǷ
	{
		infoMap[ID].RDClick = func;
		return TRUE;
	}
	return FALSE;
}

BOOL MyDialog::MoveButton(int ID, CRect rt)
{
	rt.NormalizeRect();
	if (rt.Width() > 0 && rt.Height() > 0)
	{
		if (infoMap.find(ID) != infoMap.end())	//жϰťǷ
		{
			infoMap[ID].rt = rt;
			return TRUE;
		}
	}
	return FALSE;
}

VOID MyDialog::DeleteButton(int ID)
{
	infoMap.erase(ID);
}

VOID MyDialog::DeleteAllButton()
{
	infoMap.clear();
}

CRect MyDialog::GetButtonRect(int ID)
{
	if (infoMap.find(ID) != infoMap.end())	//жϰťǷ
	{
		return infoMap[ID].rt;
	}
	return CRect(0, 0, 0, 0);
}
