#pragma once
#include <map>
#include <functional>


class MyDialog
{
private:

	CImage ButtonU;		//״̬ʱİťͼƬ
	CImage ButtonF;		//ͣİťͼƬ
	CImage ButtonD;		//갴ʱİťͼƬ
	CImage ButtonS;		//ťʧЧͼƬ
	static UINT SetWindowsRect(LPVOID pParam);
	typedef std::function<void(int)> Fun;
	struct ButtonInfo		//ťϢ
	{
		CImage ButtonU;		//״̬ʱİťͼƬ
		CImage ButtonF;		//ͣİťͼƬ
		CImage ButtonD;		//갴ʱİťͼƬ
		CImage ButtonS;		//ťʧЧͼƬ
		CRect rt;			//ťλ
		Fun LClick = NULL;	//ص
		Fun LDClick = NULL;	//˫ص
		Fun RClick = NULL;	//Ҽص
		Fun RDClick = NULL;	//Ҽ˫ص
		short State = 0;	//ǰ״̬ȷʾͼƬ
		clock_t lastLD = 0;	//ϴµʱ
		clock_t lastRD = 0;	//ϴҼµʱ
		clock_t lastLU = 0;	//ϴ̧ʱ
		clock_t lastRU = 0;	//ϴҼ̧ʱ
		void operator = (ButtonInfo& info)
		{
			rt = info.rt;
			LClick = info.LClick;
			LDClick = info.LDClick;
			RClick = info.RClick;
			RDClick = info.RDClick;
			State = info.State;
			CreateStretchImage(info.ButtonU, ButtonU);
			CreateStretchImage(info.ButtonF, ButtonF);
			CreateStretchImage(info.ButtonD, ButtonD);
			CreateStretchImage(info.ButtonS, ButtonS);
		}
		~ButtonInfo()
		{
			ButtonU.Destroy();
			ButtonF.Destroy();
			ButtonD.Destroy();
			ButtonS.Destroy();

			LClick = NULL;	//ص
			LDClick = NULL;	//˫ص
			RClick = NULL;	//Ҽص
			RDClick = NULL;	//Ҽ˫ص
		}
	};
	std::map<int, ButtonInfo> infoMap;	//аť
	CImage Background;			//ͼƬ
	BOOL m_bTracked = FALSE;	//Ƿڴ
	CWnd* m_wnd;					//õĴ
	BOOL imgRect = FALSE;		//ǷͼƬСʾ
	int MouseState = 0;			//״̬ȷƶǸıС 2ƶڣ3456ϡҡ¡
	CPoint pt;					//ϴελ
	VOID LBDown(MSG* pMsg);		//
	VOID LBUP(MSG* pMsg);		//̧
	VOID RBDown(MSG* pMsg);		//
	VOID RBUP(MSG* pMsg);		//
	VOID MMove(MSG* pMsg);		//ƶ
	VOID MLeave(MSG* pMsg);		//뿪
	VOID LDClick(MSG* pMsg);	//˫
	VOID RDClick(MSG* pMsg);	//Ҽ˫
	VOID GetPtButton(CPoint pt, CArray<int>& ButtArr);		//ȡλжٰťťóĬ״̬
public:
	static BOOL CreateStretchImage(const CImage& src, CImage& dest, int stretchWidth = 0, int stretchHeight = 0);	//ͼƬ
	BOOL CImageCopy(CImage& SrcImg, CImage& DesImg);
	MyDialog(CWnd* wnd);
	BOOL AddButton(int ID, CRect rt, CImage& ButtonU = CImage(), CImage& ButtonF = CImage(), CImage& ButtonD = CImage(), CImage& ButtonS = CImage());	//Ӱť
	VOID PTMessage(MSG* pMsg);	//Ϣ
	VOID PaintDlg();			//ػϢ
	VOID EnableButton(int ID, BOOL Flag);	//ûðť
	BOOL SetBackground(CImage& img);		//ñͼƬ
	BOOL SetLClick(int ID, Fun func);		//
	BOOL SetLDClick(int ID, Fun func);		//˫
	BOOL SetRClick(int ID, Fun func);		//Ҽ
	BOOL SetRDClick(int ID, Fun func);		//Ҽ˫
	BOOL MoveButton(int ID, CRect rt);		//ƶť
	VOID DeleteButton(int ID);				//ɾť
	VOID DeleteAllButton();			//ɾť

	CRect GetButtonRect(int ID);			//ȡťλ




};